@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

set EXE=..\software\sonos2-setup.exe
set STARTMENU="%PROGRAMDATA%\Microsoft\Windows\Start Menu\Programs"

if NOT EXIST %EXE% (
  echo ERROR: %EXE% not found!
  exit /b
)

echo ####### %0 #######

echo installing SONOS 2 client ...
start /wait %EXE% /L1031 /S /v/qn

echo moving SONOS startmenu shortcut ...
move /Y %STARTMENU%\"Sonos\Sonos.lnk" %STARTMENU%\Sonos.lnk

echo removing SONOS startmenu folder ...
rd /S /Q %STARTMENU%\"Sonos" 2>nul

rem refresh desktop (W10 style)
ie4uinit.exe -show

echo ####### %0 #######
pause

